# Method: organizations.locations.addressGroups.list

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list#body.aspect)

Lists address groups in a given project and location.

### HTTP request

`GET https://networksecurity.googleapis.com/v1beta1/{parent=organizations/*/locations/*}/addressGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which the AddressGroups should be listed, specified in the format `projects/*/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networksecurity.addressGroups.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of AddressGroups to return per call. |
| `pageToken` | `string` The value returned by the last `ListAddressGroupsResponse` Indicates that this is a continuation of a prior `addressGroups.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-security/rest/v1beta1/ListAddressGroupsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).